this.primevue = this.primevue || {};
this.primevue.accordionpanel = this.primevue.accordionpanel || {};
this.primevue.accordionpanel.style = (function (BaseStyle) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

    var classes = {
      root: function root(_ref) {
        var instance = _ref.instance,
          props = _ref.props;
        return ['p-accordionpanel', {
          'p-accordionpanel-active': instance.active,
          'p-disabled': props.disabled
        }];
      }
    };
    var AccordionPanelStyle = BaseStyle__default["default"].extend({
      name: 'accordionpanel',
      classes: classes
    });

    return AccordionPanelStyle;

})(primevue.base.style);
